[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.UpdateControl

Causes the tool bar to adjust the size and position for its Buttons and Controls.

## Declaration

Source position: comctrls.pp line 2174

`protected procedure TToolButton.UpdateControl; virtual;`

## Description

Calls UpdateVisibleToolbar to adjust the buttons sizes and redraw the tool bar which owns the button.

## See also

TToolButton.UpdateVisibleToolbar |  | Calls the corresponding method in the tool bar for the button.
TToolButton.RefreshControl |  | Refreshes the button control by updating it parent tool bar.